<link rel=stylesheet href="{$oPlugin->cAdminmenuPfadURL}css/style.css" type="text/css" />
<script type="text/javascript" src="{$oPlugin->cAdminmenuPfadURL}js/kk.js"></script>

<div id="box_edit">
	<form enctype="multipart/form-data" method="post" id="mappings_create" action="{$pluginAdminUrl}#features_edit">
	<div id="feature_sort_create" class="kk_admin_box panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title">{if isset($to_edit)}Merkmalsortierung mit ID {$to_edit->id} editieren{else}Merkmalsortierung erstellen{/if}</h3>
			</div>
			{if isset($error_msg)}
				<div class="box_error alert alert-danger">{$error_msg}</div>
			{/if}
			{if isset($info_msg)}
				<div class="box_info alert alert-info">{$info_msg}</div>
			{/if}
			<div class="table-responsive">
				<table class="feature_sort_edit_table list table">
					<tr>
						<td class="input">
							<label for="sort_type">Typ</label>
							<select name="sort_type" id="sort_type">
								<option value="category"{if isset($to_edit) && $to_edit->sort_type == 'category'} selected="selected"{/if}>
									Kategorie
								</option>
								<option value="brand"{if isset($to_edit) && $to_edit->sort_type == 'brand'} selected="selected"{/if}>
									Hersteller
								</option>
								<option value="special"{if isset($to_edit) && $to_edit->sort_type == 'special'} selected="selected"{/if}>
									Spezialseiten
								</option>
								<option value="search"{if isset($to_edit) && $to_edit->sort_type == 'search'} selected="selected"{/if}>
									Suche
								</option>
							</select>
						</td>
						<td class="desc"></td>
					</tr>
	
					<tr class="{if isset($to_edit) && $to_edit->sort_type != 'category'}hidden{/if}" id="category_select_row">
						<td class="input">
							<label for="kKategorie">Kategorie</label>
							<select name="kKategorie">
								{$category_options}
							</select>
						</td>
						<td class="desc"></td>
					</tr>
	
					<tr class="{if isset($to_edit) && $to_edit->sort_type != 'brand'}hidden{/if}" id="brand_select_row">
						<td class="input">
							<label for="kHersteller">Hersteller</label>
							<select name="kHersteller">
								{$brand_options}
							</select>
						</td>
						<td></td>
					</tr>
	
					<tr class="{if isset($to_edit) && $to_edit->sort_type != 'special'}hidden{/if}" id="special_select_row">
						<td class="input">
							<label for="kSpecial">Spezialseite</label>
							<select name="kSpecial">
								{$special_options}
							</select>
						</td>
						<td></td>
					</tr>
	
					<tr class="">
						<td class="input">
							<label for="sorts">Sortierung</label>
							<textarea name="sorts">{if isset($to_edit)}{$to_edit->sorts}{/if}</textarea>
						</td>
						<td class="desc">
							Geben Sie hier die Namen der Merkmale ein und trennen Sie diese durch ein Komma. Leerzeichen am Ende und Anfang der Merkmalnamen werden entfernt. Beispiel: "Gr&ouml;&szlig;e, Art und Weise, Farbe"
						</td>
					</tr>
				</table>
			</div>
			<div class="save_wrapper panel-footer">
				{if isset($to_edit)}
					<input type="hidden" value="{$to_edit->id}" name="to_edit_id" />
				{/if}
				{if isset($to_edit)}
					<input name="featuresort_save_submit" type="submit" class="btn btn-primary orange" value="Merkmalsortierung speichern" />
				{else}
					<input name="featuresort_create_submit" type="submit" class="btn btn-primary orange" value="Merkmalsortierung erstellen" />
				{/if}
			</div>
		</div>
	</form>
	<div id="feature_sort_edit" class="kk_admin_box panel panel-default">
		<div class="panel-heading">
				<h3 class="panel-title">Merkmalsortierungen verwalten</h3>
		</div>
		{if isset($feature_table)}
			<form enctype="multipart/form-data" method="post" id="mappings_create" action="{$pluginAdminUrl}#features_edit">
				<div class="table-responsive">
					{$feature_table}
				</div>
			</form>
		{else}
			<div class="panel-body">
				<div class="box_info alert alert-warning">
					Noch keine Merkmalsortierungen angelegt.
				</div>
			</div>
		{/if}
	</div>
</div>