<div id="feature_value_sorts" class="kk_admin_box panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">Merkmalwerte sortieren</h3>
	</div>
	{if !empty($feature_values_table)}
		<div class="box_info panel-body">
			<div class="alert alert-info">
				<p>Legen Sie auf dieser Seite fest, wie die Werte ihrer Merkmale sortiert werden sollen. Folgende Optionen sind m&ouml;glich:</p>
				<ul>
					<li>Zahl [float]: als Ganzzahl oder Kommazahl interpretieren und aufsteigend sortieren (Werte wie "12,5cm" oder "45 Personen")</li>
					<li>Zeichenkette [string]: als Zeichen interpretieren und alphabetisch sortieren</li>
					<li>Monate [string_month]: als deutsche Monatsnamen interpretieren und entsprechend sortieren (Sortierung: Januar, Februar, ...)</li>
				</ul>
			</div>
		</div>

		<form enctype="multipart/form-data" method="post" action="{$pluginAdminUrl}#feature_value_sort">
			
			{$feature_values_table}

			<div class="save_wrapper panel-footer">
				<button type="submit" class="orange btn btn-primary" name="featuresortvalue_save_submit">Speichern</button>
			</div>
		</form>
	{else}
		<div class="box_error alert alert-warning">
			Keine Merkmalwerte oder Merkmale gefunden.
		</div>
	{/if}
</div>